public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2012-11-30 22:57 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2012-11-30 22:57 UTC (permalink / raw
  To: gentoo-commits

mgorny      12/11/30 22:57:27

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Add missing REQUIRED_USE constraints to enforce PYTHON_SINGLE_TARGET being in PYTHON_TARGETS.

Revision  Changes    Path
1.532                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.532&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.532&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.531&r2=1.532

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.531
retrieving revision 1.532
diff -u -r1.531 -r1.532
--- ChangeLog	30 Nov 2012 11:43:14 -0000	1.531
+++ ChangeLog	30 Nov 2012 22:57:26 -0000	1.532
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.531 2012/11/30 11:43:14 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.532 2012/11/30 22:57:26 mgorny Exp $
+
+  30 Nov 2012; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Add missing REQUIRED_USE constraints to enforce PYTHON_SINGLE_TARGET being in
+  PYTHON_TARGETS.
 
   30 Nov 2012; Michał Górny <mgorny@gentoo.org> python-utils-r1.eclass:
   Support all EAPIs.



1.6                  eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.5&r2=1.6

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- python-single-r1.eclass	30 Nov 2012 11:40:15 -0000	1.5
+++ python-single-r1.eclass	30 Nov 2012 22:57:26 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.5 2012/11/30 11:40:15 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.6 2012/11/30 22:57:26 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -151,6 +151,11 @@
 	PYTHON_DEPS="dev-python/python-exec[${PYTHON_USEDEP}]"
 	local i
 	for i in "${PYTHON_COMPAT[@]}"; do
+		# The chosen targets need to be in PYTHON_TARGETS as well.
+		# This is in order to enforce correct dependencies on packages
+		# supporting multiple implementations.
+		REQUIRED_USE+=" python_single_target_${i}? ( python_targets_${i} )"
+
 		local d
 		case ${i} in
 			python*)





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2012-12-20 23:36 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2012-12-20 23:36 UTC (permalink / raw
  To: gentoo-commits

mgorny      12/12/20 23:36:15

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Introduce python_fix_shebang(), to fix shebangs in installed Python scripts recursively.

Revision  Changes    Path
1.573                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.573&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.573&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.572&r2=1.573

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.572
retrieving revision 1.573
diff -u -r1.572 -r1.573
--- ChangeLog	20 Dec 2012 23:35:17 -0000	1.572
+++ ChangeLog	20 Dec 2012 23:36:15 -0000	1.573
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.572 2012/12/20 23:35:17 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.573 2012/12/20 23:36:15 mgorny Exp $
+
+  20 Dec 2012; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Introduce python_fix_shebang(), to fix shebangs in installed Python scripts
+  recursively.
 
   20 Dec 2012; Michał Górny <mgorny@gentoo.org> python-any-r1.eclass,
   python-r1.eclass, python-single-r1.eclass, python-utils-r1.eclass:



1.10                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.9&r2=1.10

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- python-single-r1.eclass	20 Dec 2012 23:35:17 -0000	1.9
+++ python-single-r1.eclass	20 Dec 2012 23:36:15 -0000	1.10
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.9 2012/12/20 23:35:17 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.10 2012/12/20 23:36:15 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -180,5 +180,49 @@
 	done
 }
 
+# @FUNCTION: python_fix_shebang
+# @USAGE: <path>...
+# @DESCRIPTION:
+# Replace the shebang in Python scripts with the current Python
+# implementation (EPYTHON). If a directory is passed, works recursively
+# on all Python scripts.
+#
+# Only files having a 'python' shebang will be modified; other files
+# will be skipped. If a script has a complete shebang matching
+# the chosen interpreter version, it is left unmodified. If a script has
+# a complete shebang matching other version, the command dies.
+python_fix_shebang() {
+	debug-print-function ${FUNCNAME} "${@}"
+
+	[[ ${1} ]] || die "${FUNCNAME}: no paths given"
+	[[ ${EPYTHON} ]] || die "${FUNCNAME}: EPYTHON unset (pkg_setup not called?)"
+
+	local path f
+	for path; do
+		while IFS= read -r -d '' f; do
+			local shebang=$(head -n 1 "${f}")
+
+			case "${shebang}" in
+				'#!'*${EPYTHON}*)
+					debug-print "${FUNCNAME}: in file ${f#${D}}"
+					debug-print "${FUNCNAME}: shebang matches EPYTHON: ${shebang}"
+					;;
+				'#!'*python[23].[0123456789]*|'#!'*pypy-c*|'#!'*jython*)
+					debug-print "${FUNCNAME}: in file ${f#${D}}"
+					debug-print "${FUNCNAME}: incorrect specific shebang: ${shebang}"
+
+					die "${f#${D}} has a specific Python shebang not matching EPYTHON"
+					;;
+				'#!'*python*)
+					debug-print "${FUNCNAME}: in file ${f#${D}}"
+					debug-print "${FUNCNAME}: rewriting shebang: ${shebang}"
+
+					einfo "Fixing shebang in ${f#${D}}"
+					_python_rewrite_shebang "${f}"
+			esac
+		done < <(find "${path}" -type f -print0)
+	done
+}
+
 _PYTHON_SINGLE_R1=1
 fi





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2013-01-08 20:18 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2013-01-08 20:18 UTC (permalink / raw
  To: gentoo-commits

mgorny      13/01/08 20:18:38

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Fix the PYTHON_SINGLE_TARGET validity check.

Revision  Changes    Path
1.604                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.604&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.604&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.603&r2=1.604

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.603
retrieving revision 1.604
diff -u -r1.603 -r1.604
--- ChangeLog	8 Jan 2013 16:36:16 -0000	1.603
+++ ChangeLog	8 Jan 2013 20:18:38 -0000	1.604
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.603 2013/01/08 16:36:16 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.604 2013/01/08 20:18:38 mgorny Exp $
+
+  08 Jan 2013; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Fix the PYTHON_SINGLE_TARGET validity check.
 
   08 Jan 2013; Michał Górny <mgorny@gentoo.org> python-r1.eclass,
   python-single-r1.eclass:



1.13                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.12&r2=1.13

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- python-single-r1.eclass	8 Jan 2013 16:36:16 -0000	1.12
+++ python-single-r1.eclass	8 Jan 2013 20:18:38 -0000	1.13
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.12 2013/01/08 16:36:16 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.13 2013/01/08 20:18:38 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -197,13 +197,15 @@
 		fi
 	done
 
-	eerror "No Python implementation selected for the build. Please set"
-	eerror "the PYTHON_SINGLE_TARGET variable in your make.conf to one"
-	eerror "of the following values:"
-	eerror
-	eerror "${PYTHON_COMPAT[@]}"
-	echo
-	die "No supported Python implementation in PYTHON_SINGLE_TARGET."
+	if [[ ! ${EPYTHON} ]]; then
+		eerror "No Python implementation selected for the build. Please set"
+		eerror "the PYTHON_SINGLE_TARGET variable in your make.conf to one"
+		eerror "of the following values:"
+		eerror
+		eerror "${PYTHON_COMPAT[@]}"
+		echo
+		die "No supported Python implementation in PYTHON_SINGLE_TARGET."
+	fi
 }
 
 # @FUNCTION: python_fix_shebang





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2014-11-07 15:48 Ian Stakenvicius (axs)
  0 siblings, 0 replies; 9+ messages in thread
From: Ian Stakenvicius (axs) @ 2014-11-07 15:48 UTC (permalink / raw
  To: gentoo-commits

axs         14/11/07 15:48:01

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  When only one supported python implementation can satisfy an ebuild, do not provide python_single_target_* flags in IUSE -- effectively, rely only on PYTHON_TARGETS rather than the value specified in PYTHON_SINGLE_TARGET.

Revision  Changes    Path
1.1405               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1405&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1405&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1404&r2=1.1405

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1404
retrieving revision 1.1405
diff -u -r1.1404 -r1.1405
--- ChangeLog	5 Nov 2014 23:18:07 -0000	1.1404
+++ ChangeLog	7 Nov 2014 15:48:01 -0000	1.1405
@@ -1,6 +1,11 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1404 2014/11/05 23:18:07 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1405 2014/11/07 15:48:01 axs Exp $
+
+  06 Nov 2014; Ian Stakenvicius <axs@gentoo.org> python-single-r1.eclass:
+  When only one supported python implementation can satisfy an ebuild, do
+  not provide python_single_target_* flags in IUSE -- effectively, rely
+  only on PYTHON_TARGETS rather than the value specified in PYTHON_SINGLE_TARGET.
 
   05 Nov 2014; Ian Stakenvicius <axs@gentoo.org> mozconfig-v5.33.eclass:
   Move IUSE=selinux to the eclass



1.27                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.27&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.27&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.26&r2=1.27

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- python-single-r1.eclass	26 May 2014 16:13:35 -0000	1.26
+++ python-single-r1.eclass	7 Nov 2014 15:48:01 -0000	1.27
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.26 2014/05/26 16:13:35 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.27 2014/11/07 15:48:01 axs Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -15,8 +15,9 @@
 # This mostly includes tools embedding Python.
 #
 # This eclass extends the IUSE and REQUIRED_USE set by python-r1
-# to request correct PYTHON_SINGLE_TARGET. It also replaces
-# PYTHON_USEDEP and PYTHON_DEPS with a more suitable form.
+# to request the PYTHON_SINGLE_TARGET when the inheriting ebuild
+# can be supported by more than one Python implementation. It also
+# replaces PYTHON_USEDEP and PYTHON_DEPS with a more suitable form.
 #
 # Please note that packages support multiple Python implementations
 # (using python-r1 eclass) can not depend on packages not supporting
@@ -136,7 +137,8 @@
 
 # @ECLASS-VARIABLE: PYTHON_REQUIRED_USE
 # @DESCRIPTION:
-# This is an eclass-generated required-use expression which ensures the following:
+# This is an eclass-generated required-use expression which ensures the following
+# when more than one python implementation is possible:
 # 1. Exactly one PYTHON_SINGLE_TARGET value has been enabled.
 # 2. The selected PYTHON_SINGLE_TARGET value is enabled in PYTHON_TARGETS.
 #
@@ -162,15 +164,6 @@
 	local i PYTHON_PKG_DEP
 	for i in "${PYTHON_COMPAT[@]}"; do
 		_python_impl_supported "${i}" || continue
-
-		# The chosen targets need to be in PYTHON_TARGETS as well.
-		# This is in order to enforce correct dependencies on packages
-		# supporting multiple implementations.
-		PYTHON_REQUIRED_USE+=" python_single_target_${i}? ( python_targets_${i} )"
-
-		python_export "${i}" PYTHON_PKG_DEP
-		PYTHON_DEPS+="python_single_target_${i}? ( ${PYTHON_PKG_DEP} ) "
-
 		impls+=( "${i}" )
 	done
 
@@ -182,10 +175,38 @@
 	local flags=( "${impls[@]/#/python_single_target_}" )
 
 	local optflags=${flags_mt[@]/%/(-)?}
+
+	IUSE="${flags_mt[*]}"
+
+	if [[ ${#impls[@]} -eq 1 ]]; then
+		# There is only one supported implementation; set IUSE and other
+		# variables without PYTHON_SINGLE_TARGET.
+		PYTHON_REQUIRED_USE="${flags_mt[*]}"
+		python_export "${impls[0]}" PYTHON_PKG_DEP
+		PYTHON_DEPS="${PYTHON_PKG_DEP} "
+		# Force on the python_single_target_* flag for this impl, so
+		# that any dependencies that inherit python-single-r1 and
+		# happen to have multiple implementations will still need
+		# to bound by the implementation used by this package.
+		optflags+=,${flags[0]/%/(+)}
+	else
+		# Multiple supported implementations; honor PYTHON_SINGLE_TARGET.
+		IUSE+=" ${flags[*]}"
+		PYTHON_REQUIRED_USE="^^ ( ${flags[*]} )"
+		# Ensure deps honor the same python_single_target_* flag as is set
+		# on this package.
 	optflags+=,${flags[@]/%/(+)?}
 
-	IUSE="${flags_mt[*]} ${flags[*]}"
-	PYTHON_REQUIRED_USE+=" ^^ ( ${flags[*]} )"
+		for i in "${impls[@]}"; do
+			# The chosen targets need to be in PYTHON_TARGETS as well.
+			# This is in order to enforce correct dependencies on packages
+			# supporting multiple implementations.
+			PYTHON_REQUIRED_USE+=" python_single_target_${i}? ( python_targets_${i} )"
+
+			python_export "${i}" PYTHON_PKG_DEP
+			PYTHON_DEPS+="python_single_target_${i}? ( ${PYTHON_PKG_DEP} ) "
+		done
+	fi
 	PYTHON_USEDEP=${optflags// /,}
 
 	# 1) well, python-exec would suffice as an RDEP
@@ -213,11 +234,21 @@
 
 	unset EPYTHON
 
-	local impl
-	for impl in "${_PYTHON_ALL_IMPLS[@]}"; do
-		if has "${impl}" "${PYTHON_COMPAT[@]}" \
-			&& use "python_single_target_${impl}"
-		then
+	local impl impls=()
+	for impl in "${PYTHON_COMPAT[@]}"; do
+		_python_impl_supported "${impl}" || continue
+		impls+=( "${impl}" )
+	done
+
+	if [[ ${#impls[@]} -eq 1 ]]; then
+		if use "python_targets_${impls[0]}"; then
+			# Only one supported implementation, enable it explicitly
+			python_export "${impls[0]}" EPYTHON PYTHON
+			python_wrapper_setup
+		fi
+	else
+		for impl in "${impls[@]}"; do
+			if use "python_single_target_${impl}"; then
 			if [[ ${EPYTHON} ]]; then
 				eerror "Your PYTHON_SINGLE_TARGET setting lists more than a single Python"
 				eerror "implementation. Please set it to just one value. If you need"
@@ -240,15 +271,20 @@
 			python_wrapper_setup
 		fi
 	done
+	fi
 
 	if [[ ! ${EPYTHON} ]]; then
 		eerror "No Python implementation selected for the build. Please set"
+		if [[ ${#impls[@]} -eq 1 ]]; then
+			eerror "the PYTHON_TARGETS variable in your make.conf to include one"
+		else
 		eerror "the PYTHON_SINGLE_TARGET variable in your make.conf to one"
+		fi
 		eerror "of the following values:"
 		eerror
-		eerror "${PYTHON_COMPAT[@]}"
+		eerror "${impls[@]}"
 		echo
-		die "No supported Python implementation in PYTHON_SINGLE_TARGET."
+		die "No supported Python implementation in PYTHON_SINGLE_TARGET/PYTHON_TARGETS."
 	fi
 }
 





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2014-11-07 16:17 Ian Stakenvicius (axs)
  0 siblings, 0 replies; 9+ messages in thread
From: Ian Stakenvicius (axs) @ 2014-11-07 16:17 UTC (permalink / raw
  To: gentoo-commits

axs         14/11/07 16:17:46

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  fixed whitespace

Revision  Changes    Path
1.1406               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1406&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1406&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1405&r2=1.1406

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1405
retrieving revision 1.1406
diff -u -r1.1405 -r1.1406
--- ChangeLog	7 Nov 2014 15:48:01 -0000	1.1405
+++ ChangeLog	7 Nov 2014 16:17:46 -0000	1.1406
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1405 2014/11/07 15:48:01 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1406 2014/11/07 16:17:46 axs Exp $
+
+  07 Nov 2014; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
+  python-single-r1.eclass:
+  fixed whitespace
 
   06 Nov 2014; Ian Stakenvicius <axs@gentoo.org> python-single-r1.eclass:
   When only one supported python implementation can satisfy an ebuild, do



1.28                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.28&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.28&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.27&r2=1.28

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.27
retrieving revision 1.28
diff -u -r1.27 -r1.28
--- python-single-r1.eclass	7 Nov 2014 15:48:01 -0000	1.27
+++ python-single-r1.eclass	7 Nov 2014 16:17:46 -0000	1.28
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.27 2014/11/07 15:48:01 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.28 2014/11/07 16:17:46 axs Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -249,28 +249,28 @@
 	else
 		for impl in "${impls[@]}"; do
 			if use "python_single_target_${impl}"; then
-			if [[ ${EPYTHON} ]]; then
-				eerror "Your PYTHON_SINGLE_TARGET setting lists more than a single Python"
-				eerror "implementation. Please set it to just one value. If you need"
-				eerror "to override the value for a single package, please use package.env"
-				eerror "or an equivalent solution (man 5 portage)."
-				echo
-				die "More than one implementation in PYTHON_SINGLE_TARGET."
-			fi
+				if [[ ${EPYTHON} ]]; then
+					eerror "Your PYTHON_SINGLE_TARGET setting lists more than a single Python"
+					eerror "implementation. Please set it to just one value. If you need"
+					eerror "to override the value for a single package, please use package.env"
+					eerror "or an equivalent solution (man 5 portage)."
+					echo
+					die "More than one implementation in PYTHON_SINGLE_TARGET."
+				fi
+
+				if ! use "python_targets_${impl}"; then
+					eerror "The implementation chosen as PYTHON_SINGLE_TARGET must be added"
+					eerror "to PYTHON_TARGETS as well. This is in order to ensure that"
+					eerror "dependencies are satisfied correctly. We're sorry"
+					eerror "for the inconvenience."
+					echo
+					die "Build target (${impl}) not in PYTHON_TARGETS."
+				fi
 
-			if ! use "python_targets_${impl}"; then
-				eerror "The implementation chosen as PYTHON_SINGLE_TARGET must be added"
-				eerror "to PYTHON_TARGETS as well. This is in order to ensure that"
-				eerror "dependencies are satisfied correctly. We're sorry"
-				eerror "for the inconvenience."
-				echo
-				die "Build target (${impl}) not in PYTHON_TARGETS."
+				python_export "${impl}" EPYTHON PYTHON
+				python_wrapper_setup
 			fi
-
-			python_export "${impl}" EPYTHON PYTHON
-			python_wrapper_setup
-		fi
-	done
+		done
 	fi
 
 	if [[ ! ${EPYTHON} ]]; then
@@ -278,7 +278,7 @@
 		if [[ ${#impls[@]} -eq 1 ]]; then
 			eerror "the PYTHON_TARGETS variable in your make.conf to include one"
 		else
-		eerror "the PYTHON_SINGLE_TARGET variable in your make.conf to one"
+			eerror "the PYTHON_SINGLE_TARGET variable in your make.conf to one"
 		fi
 		eerror "of the following values:"
 		eerror





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2014-11-07 18:11 Ian Stakenvicius (axs)
  0 siblings, 0 replies; 9+ messages in thread
From: Ian Stakenvicius (axs) @ 2014-11-07 18:11 UTC (permalink / raw
  To: gentoo-commits

axs         14/11/07 18:11:58

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Help PMs figure out what to do by turning off unimplemented python_single_target_* flags in PYTHON_USEDEP; thanks to mgorny, floppym and Arfever for reviews

Revision  Changes    Path
1.1407               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1407&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1407&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1406&r2=1.1407

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1406
retrieving revision 1.1407
diff -u -r1.1406 -r1.1407
--- ChangeLog	7 Nov 2014 16:17:46 -0000	1.1406
+++ ChangeLog	7 Nov 2014 18:11:58 -0000	1.1407
@@ -1,6 +1,12 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1406 2014/11/07 16:17:46 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1407 2014/11/07 18:11:58 axs Exp $
+
+  07 Nov 2014; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
+  python-single-r1.eclass:
+  Help PMs figure out what to do by turning off unimplemented
+  python_single_target_* flags in PYTHON_USEDEP; thanks to mgorny, floppym and
+  Arfever for reviews
 
   07 Nov 2014; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
   python-single-r1.eclass:



1.29                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.29&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.29&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.28&r2=1.29

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- python-single-r1.eclass	7 Nov 2014 16:17:46 -0000	1.28
+++ python-single-r1.eclass	7 Nov 2014 18:11:58 -0000	1.29
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.28 2014/11/07 16:17:46 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.29 2014/11/07 18:11:58 axs Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -159,12 +159,14 @@
 
 _python_single_set_globals() {
 	local impls=()
+	local unimpls=()
 
 	PYTHON_DEPS=
 	local i PYTHON_PKG_DEP
-	for i in "${PYTHON_COMPAT[@]}"; do
-		_python_impl_supported "${i}" || continue
-		impls+=( "${i}" )
+	for i in "${_PYTHON_ALL_IMPLS[@]}"; do
+		has "${i}" "${PYTHON_COMPAT[@]}" \
+			&& impls+=( "${i}" ) \
+			|| unimpls+=( "${i}" )
 	done
 
 	if [[ ${#impls[@]} -eq 0 ]]; then
@@ -173,8 +175,9 @@
 
 	local flags_mt=( "${impls[@]/#/python_targets_}" )
 	local flags=( "${impls[@]/#/python_single_target_}" )
+	local unflags=( "${unimpls[@]/#/-python_single_target_}" )
 
-	local optflags=${flags_mt[@]/%/(-)?}
+	local optflags=${flags_mt[@]/%/(-)?},${unflags[@]/%/(-)}
 
 	IUSE="${flags_mt[*]}"
 
@@ -195,7 +198,7 @@
 		PYTHON_REQUIRED_USE="^^ ( ${flags[*]} )"
 		# Ensure deps honor the same python_single_target_* flag as is set
 		# on this package.
-	optflags+=,${flags[@]/%/(+)?}
+		optflags+=,${flags[@]/%/(+)?}
 
 		for i in "${impls[@]}"; do
 			# The chosen targets need to be in PYTHON_TARGETS as well.





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2014-12-28 22:50 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2014-12-28 22:50 UTC (permalink / raw
  To: gentoo-commits

mgorny      14/12/28 22:50:20

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Add python_gen_usedep, python_gen_useflags and python_gen_cond_dep to python-single-r1.

Revision  Changes    Path
1.1488               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1488&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1488&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1487&r2=1.1488

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1487
retrieving revision 1.1488
diff -u -r1.1487 -r1.1488
--- ChangeLog	28 Dec 2014 22:45:47 -0000	1.1487
+++ ChangeLog	28 Dec 2014 22:50:20 -0000	1.1488
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1487 2014/12/28 22:45:47 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1488 2014/12/28 22:50:20 mgorny Exp $
+
+  28 Dec 2014; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Add python_gen_usedep, python_gen_useflags and python_gen_cond_dep to
+  python-single-r1.
 
   28 Dec 2014; Michał Górny <mgorny@gentoo.org> python-r1.eclass:
   Spelling, pointed out by floppym.



1.30                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.30&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.30&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.29&r2=1.30

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -r1.29 -r1.30
--- python-single-r1.eclass	7 Nov 2014 18:11:58 -0000	1.29
+++ python-single-r1.eclass	28 Dec 2014 22:50:20 -0000	1.30
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.29 2014/11/07 18:11:58 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.30 2014/12/28 22:50:20 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -228,6 +228,150 @@
 }
 _python_single_set_globals
 
+# @FUNCTION: python_gen_usedep
+# @USAGE: <pattern> [...]
+# @DESCRIPTION:
+# Output a USE dependency string for Python implementations which
+# are both in PYTHON_COMPAT and match any of the patterns passed
+# as parameters to the function.
+#
+# Remember to escape or quote the patterns to prevent shell filename
+# expansion.
+#
+# When all implementations are requested, please use ${PYTHON_USEDEP}
+# instead. Please also remember to set an appropriate REQUIRED_USE
+# to avoid ineffective USE flags.
+#
+# Example:
+# @CODE
+# PYTHON_COMPAT=( python{2_7,3_4} )
+# DEPEND="doc? ( dev-python/epydoc[$(python_gen_usedep 'python2*')] )"
+# @CODE
+#
+# It will cause the dependency to look like:
+# @CODE
+# DEPEND="doc? ( dev-python/epydoc[python_targets_python2_7(-)?,...] )"
+# @CODE
+python_gen_usedep() {
+	debug-print-function ${FUNCNAME} "${@}"
+
+	local impl pattern
+	local matches=()
+
+	for impl in "${PYTHON_COMPAT[@]}"; do
+		_python_impl_supported "${impl}" || continue
+
+		for pattern; do
+			if [[ ${impl} == ${pattern} ]]; then
+				matches+=(
+					"python_targets_${impl}(-)?"
+					"python_single_target_${impl}(+)?"
+				)
+				break
+			fi
+		done
+	done
+
+	[[ ${matches[@]} ]] || die "No supported implementations match python_gen_usedep patterns: ${@}"
+
+	local out=${matches[@]}
+	echo "${out// /,}"
+}
+
+# @FUNCTION: python_gen_useflags
+# @USAGE: <pattern> [...]
+# @DESCRIPTION:
+# Output a list of USE flags for Python implementations which
+# are both in PYTHON_COMPAT and match any of the patterns passed
+# as parameters to the function.
+#
+# Example:
+# @CODE
+# PYTHON_COMPAT=( python{2_7,3_4} )
+# REQUIRED_USE="doc? ( ^^ ( $(python_gen_useflags 'python2*') ) )"
+# @CODE
+#
+# It will cause the variable to look like:
+# @CODE
+# REQUIRED_USE="doc? ( ^^ ( python_single_target_python2_7 ) )"
+# @CODE
+python_gen_useflags() {
+	debug-print-function ${FUNCNAME} "${@}"
+
+	local impl pattern
+	local matches=()
+
+	for impl in "${PYTHON_COMPAT[@]}"; do
+		_python_impl_supported "${impl}" || continue
+
+		for pattern; do
+			if [[ ${impl} == ${pattern} ]]; then
+				matches+=( "python_single_target_${impl}" )
+				break
+			fi
+		done
+	done
+
+	echo "${matches[@]}"
+}
+
+# @FUNCTION: python_gen_cond_dep
+# @USAGE: <dependency> <pattern> [...]
+# @DESCRIPTION:
+# Output a list of <dependency>-ies made conditional to USE flags
+# of Python implementations which are both in PYTHON_COMPAT and match
+# any of the patterns passed as the remaining parameters.
+#
+# In order to enforce USE constraints on the packages, verbatim
+# '${PYTHON_USEDEP}' (quoted!) may be placed in the dependency
+# specification. It will get expanded within the function into a proper
+# USE dependency string.
+#
+# Example:
+# @CODE
+# PYTHON_COMPAT=( python{2_5,2_6,2_7} )
+# RDEPEND="$(python_gen_cond_dep \
+#   'dev-python/unittest2[${PYTHON_USEDEP}]' python{2_5,2_6})"
+# @CODE
+#
+# It will cause the variable to look like:
+# @CODE
+# RDEPEND="python_single_target_python2_5? (
+#     dev-python/unittest2[python_targets_python2_5(-)?,...] )
+#	python_single_target_python2_6? (
+#     dev-python/unittest2[python_targets_python2_6(-)?,...] )"
+# @CODE
+python_gen_cond_dep() {
+	debug-print-function ${FUNCNAME} "${@}"
+
+	local impl pattern
+	local matches=()
+
+	local dep=${1}
+	shift
+
+	for impl in "${PYTHON_COMPAT[@]}"; do
+		_python_impl_supported "${impl}" || continue
+
+		for pattern; do
+			if [[ ${impl} == ${pattern} ]]; then
+				# substitute ${PYTHON_USEDEP} if used
+				# (since python_gen_usedep() will not return ${PYTHON_USEDEP}
+				#  the code is run at most once)
+				if [[ ${dep} == *'${PYTHON_USEDEP}'* ]]; then
+					local PYTHON_USEDEP=$(python_gen_usedep "${@}")
+					dep=${dep//\$\{PYTHON_USEDEP\}/${PYTHON_USEDEP}}
+				fi
+
+				matches+=( "python_single_target_${impl}? ( ${dep} )" )
+				break
+			fi
+		done
+	done
+
+	echo "${matches[@]}"
+}
+
 # @FUNCTION: python_setup
 # @DESCRIPTION:
 # Determine what the selected Python implementation is and set





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2015-01-04 22:18 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2015-01-04 22:18 UTC (permalink / raw
  To: gentoo-commits

mgorny      15/01/04 22:18:12

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Run pkg_setup() only in non-binary installs, as intended and documented a long time ago :).

Revision  Changes    Path
1.1499               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1499&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1499&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1498&r2=1.1499

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1498
retrieving revision 1.1499
diff -u -r1.1498 -r1.1499
--- ChangeLog	4 Jan 2015 21:16:47 -0000	1.1498
+++ ChangeLog	4 Jan 2015 22:18:12 -0000	1.1499
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1498 2015/01/04 21:16:47 hd_brummy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1499 2015/01/04 22:18:12 mgorny Exp $
+
+  04 Jan 2015; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Run pkg_setup() only in non-binary installs, as intended and documented a
+  long time ago :).
 
   04 Jan 2015; Joerg Bornkessel <hd_brummy@gentoo.org> vdr-plugin-2.eclass:
   documentation syntax fixed



1.31                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.31&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.31&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.30&r2=1.31

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.30
retrieving revision 1.31
diff -u -r1.30 -r1.31
--- python-single-r1.eclass	28 Dec 2014 22:50:20 -0000	1.30
+++ python-single-r1.eclass	4 Jan 2015 22:18:12 -0000	1.31
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.30 2014/12/28 22:50:20 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.31 2015/01/04 22:18:12 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -441,7 +441,7 @@
 python-single-r1_pkg_setup() {
 	debug-print-function ${FUNCNAME} "${@}"
 
-	python_setup
+	[[ ${MERGE_TYPE} != binary ]] && python_setup
 }
 
 _PYTHON_SINGLE_R1=1





^ permalink raw reply	[flat|nested] 9+ messages in thread

* [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass
@ 2015-03-22 13:41 Michal Gorny (mgorny)
  0 siblings, 0 replies; 9+ messages in thread
From: Michal Gorny (mgorny) @ 2015-03-22 13:41 UTC (permalink / raw
  To: gentoo-commits

mgorny      15/03/22 13:41:16

  Modified:             ChangeLog python-single-r1.eclass
  Log:
  Extend EAPI=4 whitelist to cover crossdev gdb.

Revision  Changes    Path
1.1572               eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1572&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1572&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1571&r2=1.1572

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1571
retrieving revision 1.1572
diff -u -r1.1571 -r1.1572
--- ChangeLog	21 Mar 2015 18:22:22 -0000	1.1571
+++ ChangeLog	22 Mar 2015 13:41:16 -0000	1.1572
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1571 2015/03/21 18:22:22 kensington Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1572 2015/03/22 13:41:16 mgorny Exp $
+
+  22 Mar 2015; Michał Górny <mgorny@gentoo.org> python-single-r1.eclass:
+  Extend EAPI=4 whitelist to cover crossdev gdb.
 
   21 Mar 2015; Michael Palimaka <kensington@gentoo.org> kde4-base.eclass:
   Sync with KDE overlay - update SRC_URI and manually specify a minimum version



1.38                 eclass/python-single-r1.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.38&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?rev=1.38&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/python-single-r1.eclass?r1=1.37&r2=1.38

Index: python-single-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v
retrieving revision 1.37
retrieving revision 1.38
diff -u -r1.37 -r1.38
--- python-single-r1.eclass	21 Mar 2015 14:55:33 -0000	1.37
+++ python-single-r1.eclass	22 Mar 2015 13:41:16 -0000	1.38
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.37 2015/03/21 14:55:33 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.38 2015/03/22 13:41:16 mgorny Exp $
 
 # @ECLASS: python-single-r1
 # @MAINTAINER:
@@ -49,7 +49,7 @@
 			:
 		elif [[ ${CATEGORY}/${P} == sys-apps/util-linux-2.2[456]* ]]; then
 			:
-		elif [[ ${CATEGORY}/${P} == sys-devel/gdb-7.[78]* ]]; then
+		elif [[ ${CATEGORY}/${P} == */gdb-7.[78]* ]]; then
 			:
 		else
 			die "Unsupported EAPI=${EAPI:-4} (too old, allowed only on restricted set of packages) for ${ECLASS}"





^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2015-03-22 13:41 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-03-22 13:41 [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog python-single-r1.eclass Michal Gorny (mgorny)
  -- strict thread matches above, loose matches on Subject: below --
2015-01-04 22:18 Michal Gorny (mgorny)
2014-12-28 22:50 Michal Gorny (mgorny)
2014-11-07 18:11 Ian Stakenvicius (axs)
2014-11-07 16:17 Ian Stakenvicius (axs)
2014-11-07 15:48 Ian Stakenvicius (axs)
2013-01-08 20:18 Michal Gorny (mgorny)
2012-12-20 23:36 Michal Gorny (mgorny)
2012-11-30 22:57 Michal Gorny (mgorny)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox